%define	oname	Li-ri

Summary:	A toy wood train kit game
Name:		ri-li
Version:	3.1.4
Release:	%mkrel 2
License:	GPLv2 or GPLv3
Group:		Games/Arcade
URL:		https://github.com/petitlapin/Li-Ri
Source0:	https://github.com/petitlapin/Li-Ri/archive/v%{version}/Li-Ri-%{version}.tar.gz
# Additional sources
Source1:	https://github.com/brofield/simpleini/archive/v4.22/simpleini-4.22.tar.gz
Patch0:		li-ri-mga-fix-install.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	cmake

Provides:	Ri-li = %{version}
Provides:	Li-ri = %{version}
Provides:	li-ri = %{version}

%description
Li-Ri is a fork of Ri-li (http://www.ri-li.org).
You drive a toy wood engine in many levels and you must
collect all the coaches to win. Full-featured, 19 languages: Arabic,
Breton, Chinese, English, Esperanto, French, German, Italian, Japanese,
Korean, Portuguese, Russian, Slovak, Spanish, Swedish, Polish, Turkish,
Hungarian and Dutch.
Colorful animated wood engine, 50 levels in this first version and 3 beautiful
musics and many sound effects.

%prep
%autosetup -p1 -n Li-Ri-%{version} -a1

# Copy the source archives from the sources folder into the
# dedicated _deps folder of the build directory.
mkdir -p %{_vpath_builddir}/_deps
cp -a simpleini-4.22/* %{_vpath_builddir}/_deps/

%build
%cmake -DLIRI_DATA_DIR=%{_gamesdatadir}/%{oname}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}{%{_includedir},%{_datadir}/cmake}

%files
%doc README.md AUTHORS NEWS*
%license COPYING COPYING.Music
%{_gamesbindir}/%{oname}
%{_gamesdatadir}/%{oname}/
%{_datadir}/applications/io.github.petitlapin.Li-ri.desktop
%{_iconsdir}/hicolor/*/apps/io.github.petitlapin.Li-ri.png
%{_metainfodir}/io.github.petitlapin.Li-ri.appdata.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.1.4-2.mga10
+ Revision: 2221392
- Mageia 10 Mass Rebuild

* Tue Feb 20 2024 daviddavid <daviddavid> 3.1.4-1.mga10
+ Revision: 2042716
- new version: 3.1.4
- original upstream is unresponsive, switch to "Li-ri" fork
- switch to SDL2
- new build based on cmake

* Thu Dec 08 2022 daviddavid <daviddavid> 2.0.1-16.mga9
+ Revision: 1919289
- add patch to fix build with gcc11
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.1-15.mga8
+ Revision: 1516490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-14.mga7
+ Revision: 1300829
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.0.1-13.mga6
+ Revision: 950967
- Mageia 6 Mass Rebuild

* Wed Nov 26 2014 alexl <alexl> 2.0.1-12.mga5
+ Revision: 799356
- add GenericName
- add translations for desktop file from Mandriva and Ubuntu

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-11.mga5
+ Revision: 745249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-10.mga5
+ Revision: 688673
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-9.mga4
+ Revision: 531489
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 2.0.1-8.mga4
+ Revision: 463714
- use autoreconf

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-8.mga3
+ Revision: 380341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 2.0.1-7.mga2
+ Revision: 205002
- rebuild for MGA2

* Thu Mar 24 2011 dams <dams> 2.0.1-6.mga1
+ Revision: 76836
- Import and clean
- imported package ri-li


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-6mdv2010.0
+ Revision: 442731
- rebuild

* Thu Oct 16 2008 Funda Wang <fundawang@mandriva.org> 2.0.1-5mdv2009.1
+ Revision: 294319
- add gcc 43 patch to get it built

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Antoine Ginies <aginies@mandriva.com> 2.0.1-2mdv2008.1
+ Revision: 187467
- fix path to icon

* Mon Mar 10 2008 Antoine Ginies <aginies@mandriva.com> 2.0.1-1mdv2008.1
+ Revision: 183318
- remove gentto ebuild
- patch to remove gentoo
- new release
- release 2.0.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 21 2007 Erwan Velu <erwan@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 42028
- Fixing description


* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 72709
- New version 2.0.0
- import ri-li-1.2.0-2mdv2007.0

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.0-2mdv2007.0
- fix summary macro used in menu
- fix categories in xdg menu
- fix wrong-file-end-of-line-encoding
- cosmetics

* Tue Aug 01 2006 Jerome Soyer <saispo@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdv2007.0
- add xdg menu
- move to gamesbindir and gamesdatadir

* Tue Jul 04 2006 Velu Erwan <erwan@seanodes.com> 1.0.2-1
- Initial rpm for mandriva
- Using ri-li package name to match Mandriva's naming policy

* Fri Jun 30 2006 Dominique Roux-Serret <roux-serret@ifrance.com> 1.0.2-1
- first RPM pakage.

